Page MenuHomePhabricator

Media Viewer browser tests fail
Closed, ResolvedPublic

Description

Unable to obtain stable firefox connection in 60 seconds (127.0.0.1:7055) (Selenium::WebDriver::Error::WebDriverError)

The Selenium web driver probably needs upgrading

Related Objects

Event Timeline

Gilles created this task.Apr 14 2016, 7:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 14 2016, 7:04 PM
Gilles triaged this task as Unbreak Now! priority.Apr 14 2016, 7:04 PM
Restricted Application added a subscriber: Urbanecm. · View Herald TranscriptApr 14 2016, 7:04 PM

Hmmm some subsequent runs are fine:

https://integration.wikimedia.org/ci/job/mwext-mw-selenium/5538/consoleFull

And point to the newer webdriver version (2.50.0).

Duh, I forgot about Gemfile.lock. It's probably a Firefox update that made the old selenium driver not work anymore.

Gilles renamed this task from Unable to obtain stable firefox connection in 60 seconds (127.0.0.1:7055) (Selenium::WebDriver::Error::WebDriverError) to Media Viewer browser tests fail.Apr 14 2016, 7:56 PM
Gilles closed this task as Invalid.
Gilles reopened this task as Open.
Gilles lowered the priority of this task from Unbreak Now! to High.
Gilles updated the task description. (Show Details)
Jdlrobson changed the task status from Open to Stalled.Apr 20 2016, 8:43 PM
Jdlrobson lowered the priority of this task from High to Low.
Jdlrobson added a subscriber: Jdlrobson.

@Gilles can you be more specific (add a URL) about which browser test is failing.
Are you refering to the @integration tests or one of the many browser test jobs on integration.wikimedia.org

All looks pretty normal to me right now...

Gilles closed this task as Resolved.May 2 2016, 11:34 AM
Gilles claimed this task.

I'm not sure how, but I reopened the task accidentally. This was fixed with: https://gerrit.wikimedia.org/r/#/c/283508/

It was the integration tests run by Jenkins that were having issues.